Show / Hide Table of Contents

# AsyncAudioFilterReadTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncAudioFilterReadTrigger : AsyncTriggerBase<(float[] data, int channels)>, IUniTaskAsyncEnumerable<(float[] data, int channels)>

##### Inheritance

System.Object → AsyncTriggerBase<System.ValueTuple<System.Single[], System.Int32>> → AsyncAudioFilterReadTrigger

##### Implements

IUniTaskAsyncEnumerable<System.ValueTuple<System.Single[], System.Int32>>

### Members

#### Methods

Name | Description
--- | ---
GetOnAudioFilterReadAsyncHandler() |
GetOnAudioFilterReadAsyncHandler(CancellationToken) |
OnAudioFilterReadAsync() |
OnAudioFilterReadAsync(CancellationToken) |

### Methods

#### GetOnAudioFilterReadAsyncHandler()

    public IAsyncOnAudioFilterReadHandler GetOnAudioFilterReadAsyncHandler()

##### Returns

IAsyncOnAudioFilterReadHandler

#### GetOnAudioFilterReadAsyncHandler(CancellationToken)

    public IAsyncOnAudioFilterReadHandler GetOnAudioFilterReadAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnAudioFilterReadHandler

#### OnAudioFilterReadAsync()

    public UniTask<(float[] data, int channels)> OnAudioFilterReadAsync()

##### Returns

UniTask<System.ValueTuple<System.Single[], System.Int32>>

#### OnAudioFilterReadAsync(CancellationToken)

    public UniTask<(float[] data, int channels)> OnAudioFilterReadAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<System.ValueTuple<System.Single[], System.Int32>>

### Implements

IUniTaskAsyncEnumerable<T>